from pydantic import BaseModel, Field
from typing import Optional
from datetime import datetime
from uuid import UUID

class CountryBase(BaseModel):
    name: str = Field(..., description="Country name")
    code: str = Field(..., description="Country code")

class CountryCreate(CountryBase):
    pass

class CountryUpdate(CountryBase):
    name: Optional[str] = Field(None, description="Country name")
    code: Optional[str] = Field(None, description="Country code")

class CountrySchema(CountryBase):
    id: UUID
    created_at: datetime
    updated_at: datetime

    class Config:
        orm_mode = True